apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
 name: kuttl-rhods-tester
roleRef:
 apiGroup: rbac.authorization.k8s.io
 kind: ClusterRole
 name: cluster-admin
subjects:
- kind: ServiceAccount
 name: rhods-test-runner
 namespace: ods-ci
---
apiVersion: v1
kind: ServiceAccount
metadata:
 name: rhods-test-runner
 namespace: ods-ci
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
 name: ods-ci
 namespace: ods-ci
spec:
 accessModes:
   - ReadWriteOnce
 resources:
   requests:
     storage: 1Gi
---
apiVersion: v1
kind: Pod
metadata:
 labels:
   deployment: ods-ci
 name: ods-ci-no-ocm-smoke
 namespace: ods-ci
spec:
 securityContext:
   # This is required to make the test-output volume Writable
   fsGroup: 0
 serviceAccountName: rhods-test-runner
 containers:
   # - image: quay.io/modh/ods-ci:116-mps
   - image: quay.io/modh/ods-ci:poetry
     imagePullPolicy: Always
     name: ods-ci-testrun
     serviceAccountName: rhods-test-runner
     env:
       # Use this environment variable to pass args to the ods-ci run script in the container
       - name: OC_HOST
         value: "https://api.qeaisrhods-hot.hg4k.s2.devshift.org:6443"
       - name: SET_ENVIRONMENT
         value: "1"
       - name: USE_OCM_IDP
         value: "0"
       - name: RUN_SCRIPT_ARGS
         value: "--skip-oclogin false --set-urls-variables true"
         # value: "--test-variables-file /tmp/ods-ci-test-variables/test-variables.yml --skip-oclogin false --set-urls-variables true"
       - name: ROBOT_EXTRA_ARGS
         # value: INSERT ROBOT FRAMEWORK ARGS OR LEAVE EMPTY. e.g., -i Smoke. Write inside the quotes
         value: "-i Smoke -e AutomationBug"
     volumeMounts:
         # Mount the test-variables to prevent leaking secure info for the cluster you test against
       - mountPath: /tmp/ods-ci/test-output
         name: ods-ci-test-output

 restartPolicy: Never
 volumes:
   # Persistent Volume where we will store the test-output for this pod
   - name: ods-ci-test-output
     persistentVolumeClaim:
       claimName: ods-ci
